> ## Documentation Index
> Fetch the complete documentation index at: https://docs.microcrop.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Quote a policy

> Prices a policy without writing anything. Not KYB-gated.



## OpenAPI

````yaml /api-reference/openapi.json post /policies/quote
openapi: 3.1.0
info:
  title: MicroCrop Partner API
  version: 1.0.0
  description: >-
    Parametric crop & livestock insurance API for integrating partners. All
    requests authenticate with an organization API key in the `x-api-key`
    header.
servers:
  - url: https://app.microcrop.app/api
    description: Production (Base mainnet)
security:
  - apiKey: []
tags:
  - name: Farmers
  - name: Plots
  - name: Herds
  - name: Policies
  - name: Payments
  - name: Payouts
  - name: Organization
  - name: Determinations
paths:
  /policies/quote:
    post:
      tags:
        - Policies
      summary: Quote a policy
      description: Prices a policy without writing anything. Not KYB-gated.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PolicyInput'
      responses:
        '200':
          description: Quote
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QuoteEnvelope'
components:
  schemas:
    PolicyInput:
      type: object
      required:
        - farmerId
      description: >-
        For CROP: plotId, sumInsured, coverageType, durationDays are required.
        For LIVESTOCK: herdId and season are required (sumInsured
        auto-calculated).
      properties:
        farmerId:
          type: string
          format: uuid
        productType:
          type: string
          enum:
            - CROP
            - LIVESTOCK
          default: CROP
        plotId:
          type: string
          format: uuid
        herdId:
          type: string
          format: uuid
        season:
          type: string
          enum:
            - LRLD
            - SRSD
        sumInsured:
          type: number
          minimum: 1000
        coverageType:
          type: string
          enum:
            - DROUGHT
            - FLOOD
            - BOTH
            - COMPREHENSIVE
            - LIVESTOCK_DROUGHT
            - LIVESTOCK_DISEASE
            - LIVESTOCK_COMPREHENSIVE
        durationDays:
          type: integer
          minimum: 30
          maximum: 365
    QuoteEnvelope:
      type: object
      properties:
        success:
          type: boolean
          example: true
        data:
          $ref: '#/components/schemas/Quote'
    Quote:
      type: object
      properties:
        productType:
          type: string
        sumInsured:
          type: number
        premium:
          type: number
        platformFee:
          type: number
        netPremium:
          type: number
        coverageType:
          type: string
        durationDays:
          type: integer
        breakdown:
          type: object
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````